service/Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectType | yes | int | For the type of object to be searched, currently only clip object is supported, with a value of 6. |
| sourceObjectIds | yes | []string | List of source object IDs |
| startTime | yes | int | Search start time, in milliseconds timestamp. |
| endTime | yes | int | Search end time, in milliseconds timestamp. |
| pageNum | no | int | The page number of search results. Default 1. |
| pageSize | no | int | The number of results per page. Default 20. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| total | no | int | The total number of results. |
| pageSize | no | int | The number of items on the current page. |
| pageNum | no | int | Current page number. |
| result | no | []GetObjectBySourceItem | Query results. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectInfo | yes | ObjectInfo | The object information. The field to be returned should be specified in the request code segment. |
| mediaFileInfo | no | []MediafileInfo | The media file info. The field to be returned should be specified in the request code segment. |
curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getObjectBySource { getObjectBySource(input: { objectType: 6, sourceObjectIdList: [\"111\", \"112\"], startTime: 1742451593000, endTime: 1742451693000, pageNum: 1, pageSize: 20 }) { errorCode errorInfo total pageNum pageSize result { objectInfo { objectId objectType objectName tangibleInfo { tangibleId tangibleName tangibleType } } mediaFileInfo { path startTimestamp endTimestamp } } }"
}'{
"data": {
"getObjectBySource": {
"errorCode": "0x0",
"errorInfo": "Succ",
"total": 120,
"pageSize": 20,
"pageNum": 0,
"result": [
{
"objectInfo": {
"objectInfo": {
"objectId": "1238543295056056320",
"objectName": "ddd",
"objectType": 5,
"emaEmbargo": false,
"tangibleInfo": [
{
"tangibleId": "123456",
"tangibleType": "slug",
"tangibleName": "slug"
}
]
}
},
"mediaFileInfo": [
{
"sourceObjectId": "1238801795757772800",
"mediaObjectId": "1245768452107538432",
"previewMediaPath": {
"path": "http://mma-video-new.s3.us-east-1.amazonaws.com/mp4/FFFFFFF00015C633/55524C204558544C0000018F6581E6E4/240530-05-37-41-157/2/rt.mpd",
"duration": 3441100,
"fileSize": 191647594,
"startTimestamp": 1717055940297,
"endTimestamp": 1717059380871
},
"highResMediaPath": {
"path": "http://mma-video-new.s3.us-east-1.amazonaws.com/ts/FFFFFFF00015C633/55524C204558544C0000018F6581E6E4/240530-05-37-41-157/2/play.m3u8",
"duration": 3440440,
"fileSize": 1040858428,
"startTimestamp": 1717055940331,
"endTimestamp": 1717059380771
},
"thumbnailPath": "http://mma.tvunetworks.com/api/imgbed/v1/202405/mp4/FFFFFFF00015C633/05-FFFFFFF11015C601-0C206C452A419A78/1717055943567/rt.jpg"
},
{
"sourceObjectId": "1189980579567906816",
"mediaObjectId": "1281002088532414464",
"previewMediaPath": {
"path": "",
"duration": 0,
"fileSize": 0,
"startTimestamp": 0,
"endTimestamp": 0
},
"highResMediaPath": {
"path": "http://pp-par-001.s3.eu-west-3.amazonaws.com/PP/RECORDINGS/de48296a60b64567a30ad1b00b36cabc/10319516/pp_ee6317c40734466594a600250fae1669/1/play.m3u8",
"duration": 760,
"fileSize": 297040,
"startTimestamp": 1725456296678,
"endTimestamp": 1725456297438
},
"thumbnailPath": "http://pp-par-001.s3.eu-west-3.amazonaws.com/PP/RECORDINGS/de48296a60b64567a30ad1b00b36cabc/10319516/pp_ee6317c40734466594a600250fae1669/1/rec.jpg"
}
]
]
}
}
}